

oldpad = Controls.read()
--*******COLORS***********************1

white = Color.new(255,255,255)
red = Color.new(255,0,0)
black = Color.new(0,0,0)
blue = Color.new(0,0,255)
yellow = Color.new(255,255,0)
--*****************************************

if introPlayed ~= 1 then
dofile("intro.LUA")
end

optionsLoop = true
highScoreLoop = true
deleteFilesLoop = true
controlsLoop = true
creditsLoop = true
storyModeLoop = true
trainingModeLoop = true
pressStartLoop = true
menuLoop = true

mainscreen = Image.load("images/mainscreen.png")
bg1 = Image.load("images/bg1.png")
selector = Image.load("images/selector.png")

Music.playFile("sounds/backsong.it", true)
selectedLesson = 1 

function chooseLesson()

	if selectedLesson == 1 then
	screen:blit(80, 130, selector)
	elseif selectedLesson == 2 then
	screen:blit(300, 130, selector)
	elseif selectedLesson == 3 then
	screen:blit(80, 150, selector)
	elseif selectedLesson == 4 then
	screen:blit(300, 150, selector)
	elseif selectedLesson == 5 then
	screen:blit(80, 170, selector)
	elseif selectedLesson == 6 then
	screen:blit(300, 170, selector)
	elseif selectedLesson == 7 then
	screen:blit(80, 190, selector)
	elseif selectedLesson == 8 then
	screen:blit(300, 190, selector)
	elseif selectedLesson == 9 then
	screen:blit(80, 210, selector)
	elseif selectedLesson == 10 then
	screen:blit(300, 210, selector)
	end   
	
	if oldpad ~= pad then	
		if pad:right() then
			if selectedLesson == 1 or selectedLesson == 3 
			or selectedLesson == 5 or selectedLesson == 7
			or selectedLesson == 9 then
			selectedLesson = selectedLesson + 1
			end
		elseif pad:left() then
			if selectedLesson == 2 or selectedLesson == 4 
			or selectedLesson == 6 or selectedLesson == 8
			or selectedLesson == 10 then
			selectedLesson = selectedLesson - 1
			end
		end

		if pad:down() then
			if selectedLesson < 9 then
			selectedLesson = selectedLesson + 2
			end
		elseif pad:up() then
			if selectedLesson > 2 then
			selectedLesson = selectedLesson - 2
			end
		end
	end
	
	if pad:select() then
	os.exit()
	end
	
end
	

		
function chosenLesson()
		
		if pad:cross() and oldpad:cross() ~= pad:cross() then 
			Music.stop()
			if selectedLesson == 1 then
			dofile("lesson1.LUA")
			elseif selectedLesson == 2 then
			dofile("lesson2.LUA")
			elseif selectedLesson == 3 then
			dofile("lesson3.LUA")
			elseif selectedLesson == 4 then
			dofile("lesson4.LUA")
			elseif selectedLesson == 5 then
			dofile("lesson5.LUA")
			elseif selectedLesson == 6 then
			dofile("lesson6.LUA")
			elseif selectedLesson == 7 then
			dofile("lesson7.LUA")
			elseif selectedLesson == 8 then
			dofile("lesson8.LUA")
			elseif selectedLesson == 9 then
			dofile("lesson9.LUA")
			elseif selectedLesson == 10 then
			dofile("lesson10.LUA")
			end
		
	end	
end		


while pressStartLoop do
screen:clear()
pad = Controls.read()
screen:blit(0,0, mainscreen)

chooseLesson()

screen:print(155, 120, 'Press "CROSS" to select', black)
screen:print(157, 240, 'Press "SELECT" to quit', black)
screen:print(100, 140, "Lesson 1", blue)
screen:print(100, 160, "Lesson 3", blue)
screen:print(100, 180, "Lesson 5", blue)
screen:print(100, 200, "Lesson 7", blue)
screen:print(100, 220, "Lesson 9", blue)
screen:print(320, 140, "Lesson 2", blue)
screen:print(320, 160, "Lesson 4", blue)
screen:print(320, 180, "Lesson 6", blue)
screen:print(320, 200, "Lesson 8", blue)
screen:print(320, 220, "Lesson 10", blue)


if pad:cross() then
Music.stop()
break
end
screen.flip()
screen.waitVblankStart()
oldpad = pad
end

chosenLesson()

dofile("script.LUA")
